js_fgrep(3)

NAME
js_fgrep - search for the literal expression exp in the string js

SYNOPSIS
#include JsStr.h

int js_fgrep(js_string *exp, js_string *js)

DESCRIPTION
js_fgrep searches for the expression exp in the string js.

The expression exp is simply a string that we look for in the string js. No characters are considered metacharacters in the expression exp.

RETURN VALUE
js_fgrep returns -2 if the exp was not found in the string js, the offset of the first found expression if the string was found (0 if it was found at the top of the string, 1 if it was found starting at the second character in the string, etc), and JS_ERROR if there was an error when searching for the expression.

EXAMPLE
The following example will find the string "345" in the string "1234567890":

	js_string *foo, *bar;
	foo = js_create(256,1);
	bar = js_create(256,1);
	js_str2js(foo,"1234567890",10,1);
	js_str2js(bar,"345",3,1);
	printf("%d\n",js_fgrep(bar,foo)); /* You will see 2 */

AUTHOR
Sam Trenholme <kiwi-zttfryb@koala.samiam.org>